Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 172882 - Remove static libraries from e-d-s
Summary: Remove static libraries from e-d-s
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On: 172999
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-10 20:41 UTC by Dave Malcolm
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-29 21:06:28 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2005-11-10 20:41:48 UTC
evolution-data-server-1.4.1.1-1

rpm -ql evolution-data-server | grep "\.a"
/usr/lib/evolution-data-server-1.2/camel-providers/libcamelgroupwise.a
/usr/lib/evolution-data-server-1.2/camel-providers/libcamelimap.a
/usr/lib/evolution-data-server-1.2/camel-providers/libcamelimap4.a
/usr/lib/evolution-data-server-1.2/camel-providers/libcamellocal.a
/usr/lib/evolution-data-server-1.2/camel-providers/libcamelnntp.a
/usr/lib/evolution-data-server-1.2/camel-providers/libcamelpop3.a
/usr/lib/evolution-data-server-1.2/camel-providers/libcamelsendmail.a
/usr/lib/evolution-data-server-1.2/camel-providers/libcamelsmtp.a
/usr/lib/evolution-data-server-1.2/extensions/libebookbackendfile.a
/usr/lib/evolution-data-server-1.2/extensions/libebookbackendgroupwise.a
/usr/lib/evolution-data-server-1.2/extensions/libebookbackendldap.a
/usr/lib/evolution-data-server-1.2/extensions/libebookbackendvcf.a
/usr/lib/evolution-data-server-1.2/extensions/libecalbackendcontacts.a
/usr/lib/evolution-data-server-1.2/extensions/libecalbackendfile.a
/usr/lib/evolution-data-server-1.2/extensions/libecalbackendgroupwise.a
/usr/lib/evolution-data-server-1.2/extensions/libecalbackendhttp.a
/usr/lib/evolution-data-server-1.2/extensions/libecalbackendweather.a

We shouldn't be shipping static libraries, see e.g.:
http://fedoraproject.org/wiki/PackagingGuidelines

Comment 1 Dave Malcolm 2005-11-29 21:06:28 UTC
Fixed in evolution-data-server-1.4.1.1-3


Note You need to log in before you can comment on or make changes to this bug.